phing-input

# Class: InputHandler Source Location: /input/InputHandler.php
### Interface Overview
Plugin to Phing to handle requests for user input. #### Author(s): Stefan Bodewig <stefan.bodewig@epost.de> #### Version: $Revision: 526 $ | ### Methods handleInput
### Class Details [line 30] Plugin to Phing to handle requests for user input. #### Tags:
author: | Stefan Bodewig <stefan.bodewig@epost.de>
version: | $Revision: 526 $
[ Top ] ### Class Methods ### method handleInput [line 43]
`void handleInput( InputRequest $request)`
Handle the request encapsulated in the argument. Precondition: the request.getPrompt will return a non-null value. Postcondition: request.getInput will return a non-null value, request.isInputValid will return true. #### Tags:
throws: | BuildException
access: | public
#### Parameters:
InputRequest | $request |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:06 +0200 by phpDocumentor 1.4.3